%kmdl ivtv

Summary: An iTVC15/16 and CX23415/16 driver.
Name: ivtv
Version: 0.1.9
Epoch: 1
Release: 27.3.2%{?dist}
License: distributable
Group: Applications/Multimedia
#Source0: http://ivtv.sourceforge.net/CVS-LATEST.tar.gz
#Source0: http://ivtv.sourceforge.net/decoder-alpha.tar.gz
#Source0: http://www.smalltime.com/bob/ivtv-cvs-latest+1125A+M179+close_stream.tar.bz2
Source0: http://prdownloads.sourceforge.net/ivtv/%{name}-%{version}.tar.gz
Patch0: ivtv-0.1.6-i2c-2.8.0.patch
Patch1: ivtv-0.12-cvs20031004-mxddcl.patch
Patch2: ivtv-v4l2-types.patch
Patch3: ivtv-release-0.1.9-m179.patch
Patch4: http://membres.lycos.fr/badzzzz/ivtv-fb-fix-prepdma.diff
URL: http://ivtv.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++
Requires: perl-Video-ivtv, perl-Video-Frequencies
%kmdl_parentdependencies

%description
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

%package -n %kmdl_name
%kmdl_dependencies
Summary: IVTV kernel drivers.
Group: System Environment/Kernel
Requires: ivtv-firmware >= 1:2.02.023

%description -n %kmdl_name
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

%kmdl_desc

%prep
%setup -q -n %{name}
if /usr/share/atrpms/isnewi2c %{kmdl_kernelsrcdir}; then
%patch0 -p1 -b .i2c2.8.0
else
: #perl -pi -e's,CFLAGS \+= -DNEW_I2C,#CFLAGS += -DNEW_I2C,' driver/Makefile
fi
#patch1 -p1 -b .mxddcl
%patch2 -p1 -b .types
%patch3 -p1 -b .m179
%patch4 -p1 -b .prepdma

%build


%if %{kmdl_userland}

make -C utils KERNELDIR=%{kmdl_kernelsrcdir} \
   CXXFLAGS='-D_GNU_SOURCE -DSAA7115_REGTEST -O2 -Wall'

%else

%kmdl_config
if [ ! -f %{kmdl_kernelsrcdir}/include/linux/videodev2.h ]; then
  cp -a utils/videodev2.h driver
fi
make -C driver KERNELDIR=%{kmdl_kernelsrcdir}

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/ivtv/
make -C utils KERNELDIR=%{kmdl_kernelsrcdir} \
   CXXFLAGS='-D_GNU_SOURCE -DSAA7115_REGTEST -O2 -Wall' \
   INSTALLDIR=%{buildroot}%{_bindir} install
install -p utils/*.pl %{buildroot}%{_libdir}/ivtv/

%else

mkdir -p %{buildroot}/lib/modules/%{kernel}/drivers/media/video
make -C driver install KERNELDIR=%{kmdl_kernelsrcdir} \
	MODDIR=%{buildroot}%{kmdl_moduledir}/drivers/media/video

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc doc/capturing.txt doc/ivtv-FAQ.htm
%doc utils/README* utils/*.conf utils/lircrc
%{_libdir}/ivtv
%{_bindir}/*

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/media/video/*

%endif

%changelog
* Sun Jul 11 2004 Jarod Wilson <jarod@wilsonet.com>
- Added Matthias Badaire's PVR-350 framebuffer prepdma fix
  (still need to investigate inclusion of the ivtvdev X driver)

* Wed Jan 14 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.1.9.

* Wed Dec 31 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.1.7.

* Mon Dec 29 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to official release 0.1.6.

* Mon Dec 15 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to Robert Kulagowski's patched version containing
  o Jens Axboe's 1125A patches
  o Chris Pinkham's M179 patch
  o Anduin's close_stream patch

* Wed Oct 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Removed firmware due to unknown licensing.
- Removed ivtv-fb.o due to unresolved depmod issues.
- Added patch for building on gcc < 3.

* Mon Oct  6 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to decoder_alpha 20031004.
- Remove i2c patch (applied upstream). Only -DNEW_I2C patch remains.
- Added missing include to videodev2.h

* Tue Sep 30 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to decoder_alpha 20030929.

* Wed Aug 20 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update rom image (reported by "Shad L. Lords").

* Tue Aug 19 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs 20030813.

* Thu Jul 17 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs 20030717.

* Thu Jul  7 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs 20030707.

* Sun Jun 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to cvs 20030622.

* Mon Jun 16 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
